Package de.willuhn.jameica.hbci.gui.chart

# Interface ChartData

All Known Subinterfaces:
  `LineChartData`

All Known Implementing Classes:
  `AbstractChartDataSaldo`, `ChartDataSaldoForecast`, `ChartDataSaldoLimit`, `ChartDataSaldoSumme`, `ChartDataSaldoSummeForecast`, `ChartDataSaldoTrend`, `ChartDataSaldoTrendForecast`, `ChartDataSaldoVerlauf`, `ChartDataUmsatzTyp`

public interface ChartData
Basis-Interface, welches die zu zeichnenden Datenreihen enthaelt.

## Method Summary

Modifier and Type
Method
Description
`List`
`getData()`
Liefert die zu zeichnende Datenreihe.
`String`
`getDataAttribute()`
Liefert den Namen des Attributs, welches fuer die Werte verwendet werden soll.
`String`
`getLabel()`
Liefert das Label der Datenreihe.
`String`
`getLabelAttribute()`
Liefert den Namen des Attributs fuer die Beschriftung.

## Method Details

### getData

List getData() throws RemoteException
Liefert die zu zeichnende Datenreihe.

Returns:
  Datenreihe.
Throws:
  `RemoteException`

### getLabel

String getLabel() throws RemoteException
Liefert das Label der Datenreihe.

Returns:
  Label der Datenreihe.
Throws:
  `RemoteException`

### getDataAttribute

String getDataAttribute() throws RemoteException
Liefert den Namen des Attributs, welches fuer die Werte verwendet werden soll. Der Wert des Attributes muss vom Typ java.lang.Number sein.

Returns:
  Name des Werte-Attributs.
Throws:
  `RemoteException`

### getLabelAttribute

String getLabelAttribute() throws RemoteException
Liefert den Namen des Attributs fuer die Beschriftung.

Returns:
  Name des Attributs fuer die Beschriftung. Der Wert des Attributes muss vom Typ java.lang.Date sein.
Throws:
  `RemoteException`